%define api	0.1
%define major	1
%define libname	%mklibname cdr %{api} %{major}
%define libdev	%mklibname cdr -d

Name:		libcdr
Version:	0.1.1
Release:	%mkrel 2
Summary:	A library providing ability to interpret and import Corel Draw drawings
Group:		System/Libraries
License:	GPLv2+ or LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/libcdr
Source:		http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(zlib)

%description
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

%package -n %{libname}
Summary:	A library providing ability to interpret and import Corel Draw drawings
Group:		System/Libraries
Obsoletes:	%{_lib}cdr0 < 0.0.14-4

%description -n %{libname}
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

%package -n %{libdev}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libdev}
This package contains libraries and header files for developing applications
that use %{name}.

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary:	Tools to transform Corel Draw drawings into other formats
Group:		Graphics/Utilities

%description tools
Tools to transform Corel Draw drawings into other formats.
Currently supported: XHTML, raw.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

# these binaries do nothing currently
rm -f %{buildroot}/%{_bindir}/cmx2*

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING.*
%{_libdir}/%{name}-%{api}.so.%{major}
%{_libdir}/%{name}-%{api}.so.%{major}.*

%files -n %{libdev}
%{_includedir}/%{name}-%{api}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

%files doc
%doc COPYING.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html/

%files tools
%{_bindir}/cdr2raw
%{_bindir}/cdr2text
%{_bindir}/cdr2xhtml




%changelog
* Sun Feb 01 2015 tv <tv> 0.1.1-2.mga4
+ Revision: 812972
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.1-1.mga5
+ Revision: 812799
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 744665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-2.mga5
+ Revision: 681373
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-1.mga5
+ Revision: 658618
- bump major
- bump major
- new release

* Sun Apr 27 2014 tv <tv> 0.0.16-1.mga5
+ Revision: 618471
- new release

* Sat Apr 05 2014 wally <wally> 0.0.14-5.mga5
+ Revision: 611899
- fix lib pkg obsoletes

* Sat Apr 05 2014 wally <wally> 0.0.14-4.mga5
+ Revision: 611869
- fix lib pkg name
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.0.14-3.mga4
+ Revision: 537407
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 tv <tv> 0.0.14-2.mga4
+ Revision: 486940
- rebuild for new icu

  + fwang <fwang>
    - use pkgconfig style br

* Tue Aug 20 2013 tv <tv> 0.0.14-1.mga4
+ Revision: 468212
- adjust file list
- BR boost-devel
- BR icu-devel
- drop merged patch
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.0.8-6.mga3
+ Revision: 356916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Jan 05 2013 cjw <cjw> 0.0.8-5.mga3
+ Revision: 339227
- patch1: fix build with automake 1.13

* Tue Oct 16 2012 malo <malo> 0.0.8-4.mga3
+ Revision: 307331
- update RPM group

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-3.mga3
+ Revision: 267749
- Fix libs packagename

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-2.mga3
+ Revision: 267742
- Fix provides in the devel package

* Wed Jul 04 2012 dmorgan <dmorgan> 0.0.8-1.mga3
+ Revision: 267737
- Fix configure
- imported package libcdr

